gr::gsm::extract_cmc_impl Class Reference

`#include <extract_cmc_impl.h>`

Inheritance diagram for gr::gsm::extract_cmc_impl:

## Public Member Functions

virtual std::vector< int > | get_framenumbers ()
virtual std::vector< int > | get_a5_versions ()
virtual std::vector< int > | get_start_ciphering ()
| extract_cmc_impl ()
| ~extract_cmc_impl ()

## Additional Inherited Members

Public Types inherited from gr::gsm::extract_cmc
typedef std::shared_ptr< extract_cmc > | sptr
Static Public Member Functions inherited from gr::gsm::extract_cmc
static sptr | make ()
| Return a shared_ptr to a new instance of gsm::extract_cmc.

## Constructor & Destructor Documentation

## extract_cmc_impl()

gr::gsm::extract_cmc_impl::extract_cmc_impl | ( |  | ) |

## ~extract_cmc_impl()

gr::gsm::extract_cmc_impl::~extract_cmc_impl | ( |  | ) |

## Member Function Documentation

## get_a5_versions()

virtual std::vector< int > gr::gsm::extract_cmc_impl::get_a5_versions | ( |  | ) |

virtual

Implements gr::gsm::extract_cmc.

## get_framenumbers()

virtual std::vector< int > gr::gsm::extract_cmc_impl::get_framenumbers | ( |  | ) |

virtual

Implements gr::gsm::extract_cmc.

## get_start_ciphering()

virtual std::vector< int > gr::gsm::extract_cmc_impl::get_start_ciphering | ( |  | ) |

virtual

Implements gr::gsm::extract_cmc.

The documentation for this class was generated from the following file:

- extract_cmc_impl.h